Name:           htmlunit
Version:        2.9
Release:        3%{?dist}
Summary:        A headless web browser for automated testing

Group:          Development/Libraries
License:        ASL 2.0 
URL:            http://htmlunit.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-2.9-src.zip
Patch0:         %{name}-%{version}-dep-fixes.patch
Patch1:         %{name}-%{version}-no-jfreechart.patch
Patch2:         %{name}-%{version}-old-nekohtml.patch

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-fileupload
BuildRequires:  cssparser
BuildRequires:  nekohtml
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  htmlunit-core-js
BuildRequires:  java-devel
BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  xalan-j2
BuildRequires:  xalan-j2-xsltc

Requires:       jpackage-utils
Requires:       java
Requires:       xalan-j2
Requires:       xalan-j2-xsltc
Requires:       apache-commons-codec
Requires:       apache-commons-collections
Requires:       apache-commons-io
Requires:       apache-commons-lang
Requires:       apache-commons-logging
Requires:       apache-commons-io
Requires:       apache-commons-fileupload
Requires:       cssparser
Requires:       nekohtml
Requires:       jakarta-commons-httpclient
Requires:       htmlunit-core-js

%description
HtmlUnit is a "GUI-Less browser for Java programs". It models HTML 
documents and provides an API for automated testing of
web applications. 

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p 0
%patch1 -p 0
%patch2 -p 0

%build
# enabling tests would require packaging some selenium plugins
mvn-rpmbuild -Dmaven.test.skip=true package javadoc:aggregate

%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar


%files
%doc LICENSE.txt
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}.jar

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 02 2011 Andy Grimm <agrimm@gmail.com> - 2.9-1
- Initial package
